<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
require_once INFUSIONS."clanmember_panel/infusion.php";
if (!isset($action)) $action = "";

if (file_exists(INFUSIONS."clanmember_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."clanmember_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."clanmember_panel/locale/English.php";
}
if (!checkrights("IP")) fallback("../../index.php");
include INFUSIONS."clanmember_panel/includes/functions.php";

$result = dbrows(dbquery("SELECT * FROM ".$db_prefix."ranks_settings"));
    if ($result < 1){
    $result = dbquery("INSERT ".$db_prefix."ranks_settings 
    SET 
    typ='settings'");
    }
if ($action == "moveup" || $action == "movedown"){    
if ($action == "moveup") {
		$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='group' AND group_sort='$order'"));
		$result = dbquery("UPDATE ".$db_prefix."ranks_settings SET group_sort=group_sort+1 WHERE group_id='".$data['group_id']."' AND typ='group'");
		$result = dbquery("UPDATE ".$db_prefix."ranks_settings SET group_sort=group_sort-1 WHERE group_id='$group_id' AND typ='group'");
	}elseif ($action == "movedown") {
		$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='group' AND group_sort='$order'"));
		$result = dbquery("UPDATE ".$db_prefix."ranks_settings SET group_sort=group_sort-1 WHERE group_id='".$data['group_id']."' AND typ='group'");
		$result = dbquery("UPDATE ".$db_prefix."ranks_settings SET group_sort=group_sort+1 WHERE group_id='$group_id' AND typ='group'");
	}
  redirect(FUSION_SELF);
}
if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".$db_prefix."ranks_settings SET
		fullclantag='".stripinput($_POST['fullclantag'])."',
 		trailclantag='".stripinput($_POST['trailclantag'])."',
    trialgroup='".stripinput($_POST['trialgroup'])."',
    notag='".stripinput($_POST['notag'])."'
    WHERE typ='settings'
 ");
 opentable("");
    echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
         <td class='tbl2' align='center' width='100%'><b>".$locale['cmp501']."</b></td>
        </table>
        ";
 closetable();
 echo"<br>";
}

if (isset($_POST['addrank'])) {
	$result = dbquery("INSERT ".$db_prefix."ranks SET
		DESCRIPTION='".stripinput($_POST['newrank'])."'
  ");
  opentable("");
  echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
          <td class='tbl2' align='center' width='100%'><b>".$locale['cmp502']."</b></td>
        </table>";
  closetable();
}   

if (isset($_POST['addland'])) {
	$result = dbquery("INSERT ".$db_prefix."ranks_countrys SET
		country='".stripinput($_POST['newland'])."',
    cut='".stripinput($_POST['newcut'])."'
  ");
  opentable("");
  echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
          <td class='tbl2' align='center' width='100%'><b>".$locale['cmp502']."</b></td>
        </table>";
  closetable();
  }   

if (isset($_POST['addgroup'])) {
	$result = dbrows(dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='group'"));
  $t = $result + 1;
  $result = dbquery("INSERT ".$db_prefix."ranks_settings 
  SET
  typ='group',
  group_sort='$t',
	group_id='".stripinput($_POST['group_id'])."'
  ");
  opentable("");
  echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
          <td class='tbl2' align='center' width='100%'><b>".$locale['cmp502']."</b></td>
        </table>";
  closetable();
  }   

if (isset($_POST['addsquad'])) {
  $result = dbquery("INSERT ".$db_prefix."ranks_settings 
  SET
  typ='squad',
  squad_name='".stripinput($_POST['newsquad'])."'
  ");
  opentable("");
  echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
          <td class='tbl2' align='center' width='100%'><b>".$locale['cmp502']."</b></td>
        </table>";
  closetable();
  } 
      
if (isset($_POST['update'])) {
  if ($rank_id != ''){
  $update_rank = "".stripinput($_POST[updaterank])."";
  $result = dbquery("UPDATE ".$db_prefix."ranks 
       SET DESCRIPTION='$update_rank' 
       WHERE ID='$rank_id'");
  }
  if ($country_id != ''){
  $update_land = "".stripinput($_POST[updateland])."";
  $update_cut = "".stripinput($_POST[updatecut])."";
  $result = dbquery("UPDATE ".$db_prefix."ranks_countrys  
    SET 
    country='$update_land',
    cut='$update_cut' 
    WHERE id='$country_id'");
  }
  if ($group_id != ''){
  $update_pic = "".stripinput($_POST[grouppic])."";
    $result = dbquery("UPDATE ".$db_prefix."ranks_settings 
    SET 
    group_pic='$update_pic'
    WHERE typ='group' AND group_id='$group_id'");
  }
  if ($squad_id != ''){
  $update_squad = "".stripinput($_POST[updatesquad])."";
  $update_pic = "".stripinput($_POST[squadpic])."";
  $result = dbquery("UPDATE ".$db_prefix."ranks_settings 
    SET 
    squad_name='$update_squad',
    squad_pic='$update_pic'
    WHERE typ='squad' AND ID='$squad_id'");
  
  $result = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='user' AND squad_name='$update_squad'");
  while ($data = dbarray($result)){
  $result1 = dbquery("UPDATE ".$db_prefix."ranks_settings
    SET
    squad_pic='$update_pic'
    WHERE typ='user' AND squad_name='$update_squad'");
    }
  }
  opentable("");
    echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
         <td class='tbl2' align='center' width='100%'><b>".$locale['cmp501']."</b></td>
        </table>
        ";
  closetable();
   echo"<br>";
}
  if (isset ($_POST['saveuser'])){
  $update_land = "".stripinput($_POST[select_country])."";
  $update_rank = "".stripinput($_POST[select_rank])."";
  $update_squad = "".stripinput($_POST[select_squad])."";
  $update_pic = dbarray(dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='squad' AND squad_name='$update_squad'"));
  $cnt = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='user' AND user_id='$user_id'");
  $cnt_rows = dbrows($cnt);
      if ($cnt_rows > '0'){
    $result2 = dbquery("UPDATE ".$db_prefix."ranks_settings 
    SET 
    typ='user',
    land_id='$update_land',
    rank_id='$update_rank',
    squad_pic='".$update_pic['squad_pic']."',
    squad_name='$update_squad',
    active='$active',
    joined='".date_format_rev($joined)."'
    WHERE user_id='$user_id' AND typ='user'");
    } else {
    $result2 = dbquery("INSERT ".$db_prefix."ranks_settings
    SET
    typ='user',
    user_id='$user_id',
    land_id='$update_land',
    rank_id='$update_rank',
    squad_pic='".$update_pic['squad_pic']."',
    squad_name='$update_squad',
    active='$active',
    joined='".date_format_rev($joined)."'");
    }
    opentable("");
      echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
      <td class='tbl2' align='center' width='100%'><b>".$locale['cmp501']."</b></td>
      </table>";
    closetable();
     echo"<br>";
  }
 
if ($step == "del"){
  opentable("");
  if ($rank_id != ''){
  $result = dbquery("DELETE FROM ".$db_prefix."ranks WHERE ID='$rank_id'");
  } 
  if ($country_id != ''){
  $result = dbquery("DELETE FROM ".$db_prefix."ranks_countrys WHERE id='$country_id'");
  }
  if ($group_id != ''){
  $result = dbquery("DELETE FROM ".$db_prefix."ranks_settings WHERE typ='group' AND group_id='$group_id'");
  }
  if ($squad_id != ''){
  $result = dbquery("DELETE FROM ".$db_prefix."ranks_settings WHERE typ='squad' AND ID='$squad_id'");
  }
  echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
          <td class='tbl2' align='center' width='100%' color='#00FF00;'>".$locale['cmp503']."</td>
        </table>";
  closetable();  
 echo"<br>";
  }

if ($step == "edit"){
  opentable("".$locale['cmp500']."");
  
  if ($rank_id != ''){
  $form_action = FUSION_SELF."?rank_id=$rank_id";
  $result = dbquery("SELECT * FROM ".$db_prefix."ranks WHERE ID='$rank_id'");
  $data = dbarray($result);
    echo "<form name='edit_form' method='post' enctype='multipart/form-data' action='$form_action'>
    <table align='center' cellpadding='3' cellspacing='1' width='50%' class='tbl-border'>
      <tr>
       <td class='tbl1' align='right' width='1%'><nobr>".$locale['cmp505']." ".$locale['cmp500']."</nobr></td>
       <td class='tbl1' align='center' width='1%'>
       <input type='text' class='textbox' name='updaterank' value='".$data['DESCRIPTION']."' style='width:150'>
       </td>
       <td class='tbl1' align='center' width='1%'>
       <input type='submit' class='button' name='update' value='".$locale['cmp506']."'>
       </td>
       <td class='tbl1' align='center' width='1%'>
       <input type='submit' class='button' name='' value='".$locale['cmp523']."'>
       </td>
      </tr>
    </table></form>
    ";
  }
  if ($country_id != ''){
  $result = dbquery("SELECT * FROM ".$db_prefix."ranks_countrys WHERE id='$country_id'");
  $form_action = FUSION_SELF."?country_id=$country_id";
  
  $data = dbarray($result);
  echo "<form name='edit_form' method='post' enctype='multipart/form-data' action='$form_action'>
    <table align='center' cellpadding='0' cellspacing='1' width='50%' class='tbl-border'>
       <tr>
       <td class='tbl2' width='1%'></td>
       <td class='tbl2' align='center' width='1%'>".$locale['cmp507']."</td>
       <td class='tbl2' align='center' width='1%'>".$locale['cmp508']."</td>
       <td class='tbl2' colspan='2' width='1%'>&nbsp;</td>
       </tr>
       <tr>
       <td class='tbl1' align='center' width='1%'><nobr>".$locale['cmp507']." ".$locale['cmp500']."</nobr></td>
        <td class='tbl1' align='center'>
        <input type='text' class='textbox' name='updateland' value='".$data['country']."' style='width:150'></td>
        <td class='tbl1' align='center'>
        <input type='text' class='textbox' name='updatecut' value='".$data['cut']."' style='width:50'></td>
        <td class='tbl1' align='center'><nobr>
        <input type='submit' class='button' name='update' value='".$locale['cmp506']."'>
        <input type='submit' class='button' name='' value='".$locale['cmp523']."'>
        </nobr></td>
        </tr>
    </table>
    </form>";
    }

  if ($user_id != ''){
  $form_action = FUSION_SELF."?user_id=$user_id";
  $result = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='$user_id'");
  $data = dbarray($result);
  $user = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE user_id='$user_id' AND typ='user'");
  $user_data = dbarray($user);
  $rank = dbquery("SELECT * FROM ".$db_prefix."ranks WHERE id='".$user_data['rank_id']."'");
  $rank_data = dbarray($rank);
  $country = dbquery("SELECT * FROM ".$db_prefix."ranks_countrys WHERE id='".$user_data['land_id']."'");
  $country_data = dbarray($country);

  echo "
   <form name='edit_form' method='post' enctype='multipart/form-data' action='$form_action'>
    <table align='center' cellpadding='0' cellspacing='1' width='40%' class='tbl-border'>
      <tr>
      <td class='tbl2' align='center' width='30%'><b>ID</b></td>
      <td class='tbl1' align='center' width='1%'><b>".$data['user_id']."</b></td>
      </tr>
      <tr>
      <td class='tbl2' align='center' width='30%'><b>".$locale['cmp509']."</b></td>
      <td class='tbl1' align='center' width='1%'><b>".$data['user_name']."</b></td>
      </tr>
      <tr>
      <td class='tbl2' align='center' width='30%'><b>".$locale['cmp505']."</b></td>
      <td class='tbl1' align='center' width='1%'>
      <select name='select_rank' class='textbox' style='width:150px;'>";
          $result1 = dbquery("SELECT * FROM ".$db_prefix."ranks ORDER BY DESCRIPTION ASC");
          echo "<option value='' selected>".$locale['cmp510']."";
           while ($data1 = dbarray($result1)) {
            echo "<option value='".$data1['ID']."'";
            if ($user_data['rank_id'] == $data1['ID']){
            echo " selected";
            }
            echo">".$data1['DESCRIPTION']."</option>\n";
           }
   echo "</td></tr>\n";
   echo "<tr>
       <td class='tbl2' align='center' width='30%'><b>".$locale['cmp511']."</b></td>
       <td class='tbl1' align='center' width='1%'>
        <select name='select_squad' class='textbox' style='width:150px;'>";
          $result1 = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='squad' ORDER BY squad_name ASC");
          echo "<option value='' selected>".$locale['cmp510']."";
           while ($data1 = dbarray($result1)) {
            echo "<option value='".$data1['squad_name']."'";
            if ($user_data['squad_name'] == $data1['squad_name']){
            echo " selected";
            }
            echo">".$data1['squad_name']."</option>\n";
           }
   echo "</td></tr>\n";
   echo "<tr>
          <td class='tbl2' align='center' width='30%'><b>".$locale['cmp507']."</b></td>
          <td class='tbl1' align='center' width='1%'>
          <select name='select_country' class='textbox' style='width:150px;'>";
          $result1 = dbquery("SELECT * FROM ".$db_prefix."ranks_countrys ORDER BY country ASC");
          echo "<option value='' selected>".$locale['cmp510']."";
           while ($data1 = dbarray($result1)) {
           echo "<option value='".$data1['id']."'";
           if ($user_data['land_id'] == $data1['id']){
           echo " selected";
           }
           echo">".$data1['country']."</option>\n";
          }
   echo"</td></tr>\n";
   echo"<tr>
          <td class='tbl2' align='center' width='30%'><b>".$locale['cmp512']."</b></td>
          <td class='tbl1' align='center' width='1%'>
          <input type='text' class='textbox' name='joined' value='".cmb_date_format($user_data['joined'])."'></td>
        </tr>
        <tr>
          <td class='tbl2' align='center' width='30%'><b>".$locale['cmp513']."</b></td>
          <td class='tbl1' align='center' width='1%'>
          <input type='checkbox' name='active' value='1'";if ($user_data['active'] == 1){echo "checked ";}echo"></td>
        </tr>
        <tr>
        <td colspan='2' class='tbl1' align='center'><nobr>
        <input type='submit' class='button' name='saveuser' value='".$locale['cmp506']."'>
        <input type='submit' class='button' name='' value='".$locale['cmp523']."'>
        </nobr></td>
        </tr></table></form>";
  }
  if ($group_id != ''){
  $form_action = FUSION_SELF."?group_id=$group_id";
  echo"
  <form name='edit_form' method='post' enctype='multipart/form-data' action='$form_action'>
    <table align='center' cellpadding='0' cellspacing='1' width='80%' class='tbl-border'>
  <tr>
       <td class='tbl2' width='20%'></td>
       <td class='tbl2' align='center' width='1%'>".$locale['cmp514']."</td>
       <td class='tbl2' align='center' width='1%'>".$locale['cmp515']."</td>
       <td class='tbl2' align='center' width='1%'>&nbsp;</td>
       </tr>
       <tr>
       <td align='center' class='tbl1' width='1%' ><nobr>".$locale['cmp514']." ".$locale['cmp500']."</nobr></td>";
  $result = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='group' AND group_id='$group_id'");
  $data = dbarray($result);
  $data2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."user_groups WHERE group_id='$group_id'"));
  echo "
  <td class='tbl1' align='center' width='10%'><b>".$data2['group_name']."</b></td>";
  $image_files = makefilelist("images/groups", ".|..|index.php", true);
	$image_list = makefileopts($image_files, $data['group_pic']);
  echo"<td class='tbl1' align='center' width='20%'><select name='grouppic' class='textbox' style='width:150px;'>";
  echo"<option value=''>".$locale['cmp510']."</option>\n";
  echo"$image_list</td>";
  echo"<td class='tbl1' align='center' width='20%'><input type='submit' class='button' name='update' value='".$locale['cmp506']."'></td></tr></table></form>";
  }
  if ($squad_id != ''){
  $form_action = FUSION_SELF."?squad_id=$squad_id";
  $result = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='squad' AND ID='$squad_id'");
  $data = dbarray($result);
    echo "<form name='edit_form' method='post' enctype='multipart/form-data' action='$form_action'>
    <table align='center' cellpadding='0' cellspacing='1' width='80%' class='tbl-border'>
       <tr>
       <td class='tbl2' width='1%'></td>
       <td class='tbl2' align='center' width='1%'>".$locale['cmp511']."</td>
       <td class='tbl2' align='center' width='1%'>".$locale['cmp515']."</td>
       <td class='tbl2' align='center' width='1%'>&nbsp;</td>
       </tr>
       <tr>
       <td class='tbl1' align='center' width='1%'><nobr>".$locale['cmp514']." ".$locale['cmp500']."</nobr></td>
        <td class='tbl1' align='center' width='1%'>
        <input type='text' class='textbox' name='updatesquad' value='".$data['squad_name']."' style='width:150'>
        </td>";
  $image_files = makefilelist("images/squads", ".|..|index.php", true);
	$image_list = makefileopts($image_files, $data['squad_pic']);
  echo"<td class='tbl1' align='center' width='20%'><select name='squadpic' class='textbox' style='width:150px;'>";
  echo"<option value=''>".$locale['cmp510']."</option>\n";
  echo"$image_list</td>
        <td class='tbl1' align='center' width='1%'>
        <input type='submit' class='button' name='update' value='".$locale['cmp506']."'>
        </td>
       </tr>
    </table></form>
    ";
  }
  closetable();  
}  
opentable("".$locale['cmp000']."&nbsp;".$inf_version."");

echo "
<p><center>".$locale['cmp001']."</center></p>";

echo "<form name='edit_form' method='post' enctype='multipart/form-data' action=''>
<table align='center' cellpadding='0' cellspacing='1' width='60%' class='tbl-border'>
<tr><th class='capmain' align='center'>".$locale['cmp510']."</th></tr></table>

<table align='center' cellpadding='0' cellspacing='1' width='60%' class='tbl-border'>
<tr><td align='center'>
<input type='submit' class='button' name='settings' style='width:100%;' value='".$locale['cmp516']."'>
</td><td align='center'>
<input type='submit' class='button' name='groups' style='width:100%;' value='".$locale['cmp517']."'>
</td><td align='center'>
<input type='submit' class='button' name='ranks' style='width:100%;' value='".$locale['cmp518']."'>
</td></tr>
<tr><td align='center'>
<input type='submit' class='button' name='countrys' style='width:100%;' value='".$locale['cmp519']."'>
</td><td align='center'>
<input type='submit' class='button' name='members' style='width:100%;' value='".$locale['cmp521']."'>
</td><td align='center'>
<input type='submit' class='button' name='squads' style='width:100%;' value='".$locale['cmp520']."'>
</td></tr>
<tr><td align='center'>
<input type='submit' class='button' name='pics' style='width:100%;' value='".$locale['cmp522']."'>
</td><td align='center'>
<input type='submit' class='button' name='' style='width:100%;' value=''>
</td><td align='center'>
<input type='submit' class='button' name='' style='width:100%;' value=''>
</td></tr></table></form>";

if (isset ($_POST['members'])){
  require_once "members.php";
  }else if (isset($_POST['countrys'])){
    require_once "countrys.php";
    }else if (isset($_POST['ranks'])){
      require_once "ranks.php";
      }else if (isset($_POST['groups'])){
        require_once "groups.php";
        }else if (isset($_POST['settings'])){
          require_once "settings.php";
          }else if (isset($_POST['squads'])){
            require_once "squads.php";
            }else if (isset($_POST['pics'])){
              redirect(INFUSIONS."clanmember_panel/pics.php");
}
closetable();

require_once "copyright.php";
require_once BASEDIR."footer.php";
?>
