<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once  "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
include INFUSIONS."clanmember_panel/includes/functions.php";

if (file_exists(INFUSIONS."clanmember_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."clanmember_panel/locale/".$settings['locale'].".php";
  } else {
	  include INFUSIONS."clanmember_panel/locale/German.php";
}

opentable($locale['cmp000']);
$result_over = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='group' ORDER BY group_sort");
if (dbrows($result_over) == 0){echo"<center><b>".$locale['cmp012']."</b></center>";}
while ($data_over= dbarray($result_over)){
  $group_id = $data_over['group_id'];
  $result_inner = dbquery("SELECT * FROM ".$db_prefix."user_groups WHERE group_id='".$data_over['group_id']."'");
  $data_inner = dbarray($result_inner);
  $i ='0';
  $rows = dbrows(dbquery ("SELECT * FROM ".$db_prefix."users WHERE user_groups LIKE '%".$data_over['group_id']."%'"));
  if ($rows == 0){echo"<center><b>".$locale['cmp013']."</b><br>".$locale['cmp014']."".$data_inner['group_name']."</center><br>";}
  if ($rows > 0){
    echo "<table align='center' cellpadding='0' cellspacing='1' width='90%' class='tbl-border'>
    <tr><td colspan='6' class='tbl1' align='right'>";
    if ($data_over['group_pic'] != ''){
      echo "<img src='".INFUSIONS."clanmember_panel/images/groups/".$data_over['group_pic']."'alt='Bild:".$data_inner['group_name']."' name='".$data_inner['group_name']."' height='75' width='100%' vertical-align='right'>";
    }
    echo"</td></tr>
    <tr>
      <td class='tbl2' align='left'   width='30%'><b>".$data_inner['group_name']."</b></td>
      <td class='tbl2' align='center' width='1%'><b>".$locale['cmp004']."</b></td>
      <td class='tbl2' align='center' width='20%'><b>".$locale['cmp007']."</b></td>
      <td class='tbl2' align='center' width='1%'><b>".$locale['cmp008']."</b></td>
      <td class='tbl2' align='center' width='1%'><b>".$locale['cmp009']."</b></td>
      <td class='tbl2' align='center' width='10%'><b>".$locale['cmp011']."</b></td>
    </tr>\n";

$set = dbquery("SELECT * FROM ".$db_prefix."ranks_settings WHERE typ='settings'");
$set_data = dbarray($set);
$fulltag = parseubb($set_data['fullclantag']);
$trailtag = parseubb($set_data['trailclantag']);
$result = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_groups REGEXP('^\\\.{$group_id}$|\\\.{$group_id}\\\.|\\\.{$group_id}$') ORDER BY user_level DESC, user_name");
while ($data = dbarray($result)) {
  $cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
  $set1 = dbquery ("SELECT * FROM ".$db_prefix."ranks_settings WHERE user_id='".$data['user_id']."' AND typ='user'");
  $set1_data = dbarray($set1);
  $ranks = dbquery ("SELECT * FROM ".$db_prefix."ranks WHERE ID='".$set1_data['rank_id']."'");
  $ranks_data = dbarray($ranks);
  $countrys = dbquery ("SELECT * FROM ".$db_prefix."ranks_countrys WHERE id='".$set1_data['land_id']."'");
  $countrys_data = dbarray($countrys);
  $joined = cmb_date_format($set1_data['joined']);
  if ($set_data['notag'] == $data_over['group_id']){
    $clantag = '';
    } elseif ($set_data['trialgroup'] == $data_over['group_id']){
    $clantag = $trailtag;
    } else {
      $clantag = $fulltag;
  }
  echo "<tr>";
// Spalte 1 Membername
  echo "<td align='left' class='$cell_color' ><nobr>$clantag <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></nobr></td>";
// Spalte 2 Statusbild
  echo"<td class='$cell_color' align='center'>";
  if($set1_data['active'] == 0){
    echo"<nobr><img src='images/user_offline.gif' style='vertical-align:middle;' title='".$locale['cmp006']."' alt='".$locale['cmp006']."'></NOBR>";
    } else {
      echo"<nobr><img src='images/user_online.gif' style='vertical-align:middle;' title='".$locale['cmp005']."' alt='".$locale['cmp005']."'></NOBR>";
    }
// Spalte 3 Status
  echo "<td align='center' class='$cell_color'>".$ranks_data['DESCRIPTION']."</td>";
// Spalte 4 Squad
  echo "<td align='center' class='$cell_color' >";
  if ($set1_data['squad_pic'] != ''){
    echo "<img src='".INFUSIONS."clanmember_panel/images/squads/".$set1_data['squad_pic']."' style='vertical-align:middle;' title='".$set1_data['squad_name']."' alt='".$set1_data['squad_name']."' height='18'></NOBR>";
  }
  echo "</td>";
//Spalte 5 Land
  echo "<td align='center' class='$cell_color'>";
   if ($countrys_data['cut'] != ''){
     echo"<nobr><img src='images/countrys/".$countrys_data['cut'].".gif' style='vertical-align:middle;' title='".$countrys_data['country']."' alt='".$countrys_data['country']."' height='18'></NOBR>";
   }
  echo"</td>";
// Spalte 6 Wohnort                                                                  
//  echo "<td align='center' class='$cell_color'><font alt='".$data['user_location']."' title='".$data['user_location']."'>".trimlink($data['user_location'],20)."</font></td>";
// Spalte 7 dabei seit
  echo "<td align='center' class='$cell_color'>$joined</td></tr>";
}
echo "</table><br>\n";
}
} 
closetable();

require_once "copyright.php";
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
