<?php

/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."clanmember_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."clanmember_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."clanmember_panel/locale/German.php";
}

// Infusion general information

$inf_title = $locale['cmp000'];
$inf_description = $locale['cmp001'];
$inf_version = "1.1.3";
$inf_developer = "RedDragon";
$inf_email = "reddragon@ist-einmalig.de";
$inf_weburl = "http://www.clans-on.de.vu";


$inf_folder = "clanmember_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "clanmember_panel_admin.php"; // The admin panel filename if required.


$inf_link_name = $locale['cmp003']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "clanmember_panel.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.


$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_altertables = 1; // Number of db tables to alter (upgrade).
$inf_insertdbrows = 4; // Number of db tables to delete data from.

$inf_newtable_[1] = "ranks (
  ID int(11) NOT NULL auto_increment,
  DESCRIPTION text NOT NULL,
  PRIMARY KEY  (ID)
)";

$inf_newtable_[2] = "ranks_countrys (
  id int(11) NOT NULL auto_increment,
  country varchar(25) NOT NULL default '',
  cut text,
  PRIMARY KEY  (id)
)";

$inf_newtable_[3] = "ranks_settings (
  typ char(25) NOT NULL,
  fullclantag text NOT NULL,
  trailclantag text NOT NULL,
  trialgroup int(10) NOT NULL,
  notag int(5) NOT NULL,
  squad_pic char(25),
  squad_name text,
  active int(10) unsigned NOT NULL,
  user_id int(5) NOT NULL,
  rank_id int(5) NOT NULL,
  land_id int(5) NOT NULL,
  joined date NOT NULL,
  group_id int(5) NOT NULL,
  group_sort int(5) NOT NULL,
  group_pic char(25) NOT NULL,
  ID tinyint(4) NOT NULL auto_increment,
  PRIMARY KEY  (ID)
)";

$inf_altertable_[1] = "ranks_settings ADD notag int(5) NOT NULL AFTER trialgroup";

$inf_droptable_[1] = "ranks";
$inf_droptable_[2] = "ranks_countrys";
$inf_droptable_[3] = "ranks_settings";

$inf_insertdbrow_[1] = "ranks_settings VALUES ('settings', 'Fulltag', 'Trailtag', 2, 3, 0, 0, 0, 0, '2006-01-01')";
$inf_insertdbrow_[2] = "ranks_countrys VALUES ('', 'Deutschland', 'd')";
$inf_insertdbrow_[3] = "ranks_countrys VALUES ('', 'Schweiz', 'ch')";
$inf_insertdbrow_[4] = "ranks_countrys VALUES ('', 'sterreich', 'a')";
?>